*Create listing
POST
https://api.propexo.com/v1/listings/Create a listing for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
unit_idstringrequired
The Propexo unit id
rent_amount_in_centsintegerrequired
The rent amount in cents
Possible values: >= 0
deposit_amount_in_centsintegerrequired
The deposit amount in cents
Possible values: >= 0
lease_termsstring
The lease terms
available_datestringrequired
The available date
contact_idstringrequired
The Propexo contact id
is_managed_externalbooleanrequired
Whether the listing is managed externally
custom_data objectdeprecated
Deprecated: Field is no longer applicable
object
Response
Successful response
job_idstringrequired
The ID of the job created to handle this operation
data objectrequired
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/listings/
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/v1/listings/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"rent_amount_in_cents": 0,
"deposit_amount_in_cents": 0,
"available_date": "string",
"contact_id": "string",
"is_managed_external": true
}'
const response = await fetch("https://api.propexo.com/v1/listings/", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"unit_id": "string",
"rent_amount_in_cents": 0,
"deposit_amount_in_cents": 0,
"available_date": "string",
"contact_id": "string",
"is_managed_external": true
}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/v1/listings/",
headers={"Authorization": "Bearer <token>"},
json={
"unit_id": "string",
"rent_amount_in_cents": 0,
"deposit_amount_in_cents": 0,
"available_date": "string",
"contact_id": "string",
"is_managed_external": True
},
)
data = response.json()
200 Successful response
{
"job_id": "string",
"data": {}
}